/**
 * Objektum letrehozas/megszuntetes demo
 * Forditas:
 *    g++ -o valami valami.cpp
 * ahhoz, hogy a for is menjen:
 *    g++ -D_FOR -o valami valami.cpp
 * Futattas:
 *    ./valami
 *
 */

#include <iostream>

using std::cout;
using std::endl;

struct Valami {
    Valami()  { cout << "HAHO megszulettem!" << endl; }
    ~Valami() { cout << "Jaj, itt a kaszas!" << endl; }
};

int main() {
    cout << "1." << endl;
    Valami o1;
    cout << "2." << endl;
    Valami o2;

    cout << "3." << endl;
    Valami *o3 = new Valami;
    delete o3;

#ifdef _FOR
    for (int i = 0; i < 5; i++)
       Valami o1;
#endif // _FOR
    return 0;
}


